LinuxQMISDK: SLQSSignalStrengthsIndReq Struct Reference

LinuxQMISDK SLQS03.03.07

- Main Page
- Modules
- References
- Data Structures

- Data Structures
- Data Fields

Data Fields
SLQSSignalStrengthsIndReq Struct Reference

## Data Fields
BYTE | rxSignalStrengthDelta
BYTE | ecioDelta
BYTE | ioDelta
BYTE | sinrDelta
BYTE | rsrqDelta
BYTE | ecioThresholdListLen
SHORT | ecioThresholdList [10]
BYTE | sinrThresholdListLen
BYTE | sinrThresholdList [5]

## Detailed Description

Structure for storing the input parameters passed for SLQSSetSignalStrengthsCallback by the user.

Parameters

  rxSignalStrengthDelta | RSSI delta(in dBm) at which an event report indication, including the current RSSI, will be sent to the requesting control point.
  ecioDelta | ECIO delta at which an event report indication, ecioDelta including the current ECIO, will be sent to the requesting control point. ECIO delta is an unsigned 1 byte value that increments in negative 0.5 dBm, e.g., ecio_delta of 2 means a change of -1 dBm.
  ioDelta | IO delta (in dBm) at which an event report indication, ioDelta including the current IO, will be sent to the requesting control point.
  sinrDelta | SINR delta level at which an event report indication, sinrDelta including the current SINR, will be sent to the requesting control point.
  rsrqDelta | RSRQ delta level at which an event report indication, including the current RSRQ, will be sent to the requesting control point.
  ecioThresholdListLen | Number of elements in the ECIO threshold list.
  ecioThresholdList | A sequence of thresholds delimiting EcIo event reporting bands. Every time a new EcIo value crosses a threshold value, an event report indication message with the new ECIO value is sent to the requesting control point. For this field: Maximum number of threshold values is 10 At least one value must be specified.
  sinrThresholdListLen | Number of elements in the SINR threshold list.
  sinrThresholdList | A sequence of thresholds delimiting SINR event reporting bands. Every time a new SINR value crosses a threshold value, an event report indication message with the new sinr value is sent to the requesting control point. For this field: Maximum number of threshold values is 5 At least one value must be specified.

Note
  None

## Field Documentation

BYTE SLQSSignalStrengthsIndReq::ecioDelta

SHORT SLQSSignalStrengthsIndReq::ecioThresholdList[10]

BYTE SLQSSignalStrengthsIndReq::ecioThresholdListLen

BYTE SLQSSignalStrengthsIndReq::ioDelta

BYTE SLQSSignalStrengthsIndReq::rsrqDelta

BYTE SLQSSignalStrengthsIndReq::rxSignalStrengthDelta

BYTE SLQSSignalStrengthsIndReq::sinrDelta

BYTE SLQSSignalStrengthsIndReq::sinrThresholdList[5]

BYTE SLQSSignalStrengthsIndReq::sinrThresholdListLen